package de.umr.fixcon

/**Project wide settings are stored in this file. This comprises for formatting, but also
 * hyper-parameters for that algorithm that are not specified in the console input (like if the heuristic is used).*/
object Settings {

    /**Use for pretty-printing in tables. Is often used together with the function "padEnd". */
    const val paddingRight = 35

    /**Chosen as default, because in this case, the number of edges and the sum of edge-weights is the same.*/
    const val defaultEdgeWeight = 1.0

    /**The heuristic takes some time itself to perform, but provides at lower bound that is pretty ok from experience.
     *
     * For smaller graph the heuristic often already solves the problem. In this case, the actual algorithm
     * doesn't even come into use, and therefore bugs in that part also aren't discovered.
     * For this reason, it's often set to false when testing, but activated in actual use.*/
    const val useHeuristic = true
}