package de.umr.fixcon

import de.umr.fixcon.objectiveFunctions.AbstractGraphFunction
import org.jgrapht.Graph
import org.jgrapht.GraphTests
import org.jgrapht.graph.DefaultEdge

/**This function returns 1 (indicator for **True**) if the graph is a tree (connected and acyclic).*/
class AcyclicFunction : AbstractGraphFunction() {

    override val allowsTwinRule: Boolean get() = true

    /**1 if true, 0 if false.*/
    override fun <V> eval(g: Graph<V, DefaultEdge>) = if (GraphTests.isTree(g)) 1 else 0

    /**The value 1 indicates *True*.*/
    override fun globalOptimum() = 1
}